Special:PrefixIndex has inconsistent (and tiny) page navigation
Closed, ResolvedPublic

Description

Author: artificial

Description:
Compare "All pages" to "All pages with prefix", and the former has page navigation at both the top and bottom, while the latter has it only at the top. The navigation is already oddly miniature and easily missed, so having it only back up at the top of the page is extra confusing, and may harm accessibility.

Example:
http://en.wikipedia.org/wiki/Special:AllPages/Alex
http://en.wikipedia.org/wiki/Special:PrefixIndex/Alex

It's not entirely clear that there are more pages after that.

I thought it was a recent bug when I first noticed it; I don't remember it always being like that, but apparently someone noticed it in 2007, and it's still unchanged: http://en.wikipedia.org/wiki/Wikipedia_talk:Special:PrefixIndex#.22Next_page.22_at_the_top.2C_but_not_at_the_bottom


Version: unspecified
Severity: minor

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz18424.
bzimport created this task.Via LegacyApr 10 2009, 4:45 PM
Subfader added a comment.Via ConduitSep 17 2011, 6:07 PM

(Previous 200) (Next 200) would be much more constant.

Subfader added a comment.Via ConduitSep 18 2011, 2:20 AM

The table layout is so 1995 anyway! http://i.imgur.com/1h3z5.png

Subfader added a comment.Via ConduitSep 18 2011, 2:23 AM
  • Font size enlarged to make it readable. common/shared.css uses "font-size: smaller".

"font-size: smaller" should not be used at all tho...

Bawolff added a comment.Via ConduitSep 18 2011, 4:32 AM

fixed in r97403. That writing was tiny ;) Also fixed an issue with an extra | in the paging links on special:prefixindex.

For changing it to (next 200) to be consistent with cat pages. I'm not sure if that's a good idea or not (I'm not against it, more neutral). Anyways, feel free to open a separate bug for that.

Add Comment